﻿using System.Windows;

namespace DataGridTest
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = this;
            Loaded += (sender, e) =>
            {
                for (int i = 0; i < 3; i++)
                {
                    MeinLandkreis.Orte.Add(new Ort { PLZ = 36124 + i });
                }

                MeinLandkreis.Orte[0].Einwohner.Add(new Person { Alter = 18, Vorname = "Max", Nachname = "Mustermann" });
                MeinLandkreis.Orte[0].Einwohner.Add(new Person { Alter = 43, Vorname = "Susi", Nachname = "Sorglos" });
                MeinLandkreis.Orte[0].Einwohner.Add(new Person { Alter = 21, Vorname = "Maria", Nachname = "Musterfrau" });

                MeinLandkreis.Orte[1].Einwohner.Add(new Person { Alter = 7, Vorname = "Peter", Nachname = "Schmidt" });
                MeinLandkreis.Orte[1].Einwohner.Add(new Person { Alter = 51, Vorname = "Albert", Nachname = "Einstein" });
                MeinLandkreis.Orte[1].Einwohner.Add(new Person { Alter = 30, Vorname = "Karl", Nachname = "Rudolf" });

                MeinLandkreis.Orte[2].Einwohner.Add(new Person { Alter = 72, Vorname = "Heinz", Nachname = "Abe" });
                MeinLandkreis.Orte[2].Einwohner.Add(new Person { Alter = 19, Vorname = "Ingo", Nachname = "Müller" });
                MeinLandkreis.Orte[2].Einwohner.Add(new Person { Alter = 54, Vorname = "Franz", Nachname = "Ferdinand" });
            };
        }

        public Landkreis MeinLandkreis { get; set; } = new Landkreis();
    }
}